class 'IntroScreenBase' (BaseScreen)

function IntroScreenBase:__init(name)
	BaseScreen.__init(self, name)
	
	self:setupSkipButton()
	self:setupVideo()

	self:getEntityNamed('fade_in_on_load'):hide()
end

function IntroScreenBase:setupSkipButton()
end

function IntroScreenBase:setupVideo()
end

function IntroScreenBase:onUpdate(dt)
end

function IntroScreenBase:onScreenDestroy()
	PopUpScreensMgr:pop()
	 
	local level_to_load = getLevelToLoad()
	startLevel(level_to_load)
end